Subject: Re: [PATCH -next] soc: sgtl5000 uses regulator interfaces

From: Mark Brown <[email-masked]>
Date: Sat, 5 Mar 2011 11:29:36 +0000

On Fri, Mar 04, 2011 at 05:33:57PM -0800, Randy Dunlap wrote:
> From: Randy Dunlap <[email-masked]>
> 
> sgtl5000 uses regulator interfaces, so make selecting it depend
> on REGULATOR.
> 
> sgtl5000.c:(.text+0x4ae33): undefined reference to `regulator_unregister'
> sgtl5000.c:(.text+0x4af41): undefined reference to `rdev_get_drvdata'
> sgtl5000.c:(.text+0x4b191): undefined reference to `regulator_register'

Since the regulator on the device is optional this isn't the best fix,
the code should be updated to support building without regulator.